This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 68958 - [RFE] user-space method/binary for mlock'ing the pages of another process
[RFE] user-space method/binary for mlock'ing the pages of another process
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-07-16 11:19 EDT by James Manning
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description James Manning 2002-07-16 11:19:31 EDT
basically, i'd love to be able to run a command, as root is fine, to mlock the
pages of a currently running app.  Since this command would be in another
process and therefore not the same VM area (barring the strace-ish tricks) then
it seems like it can really only request that the kernel do this operation for
him, right?

There's a good # of apps that I only use on an interactive basis but take a good
chunk of memory, and it'd be nice to get them pinned so that when I come back to
them the next morning I'm not waiting "forever" for them to swap back in.

Is this already doable and I just don't see it?
Comment 1 Bugzilla owner 2004-09-30 11:39:46 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.